Skip to content

Post

POST
/final-destination/v2

Query the Naurt Final Destination dataset to retrieve precise destination locations for addresses, buildings, entrances, and parking locations.

Each request contains one or more queries. A query can represent several different search types supported by the Final Destination API:

• Forward geocoding — supply an address_string or address_structured
• Reverse geocoding — supply a location with latitude and longitude
• Naurt ID lookup — supply an id returned from a previous query
• Source ID lookup — supply identifiers such as os_uprn

The API returns a best match for each query along with optional additional matches. Results may include multiple destination geometries such as building entrances, delivery doors, or parking locations depending on available data.

The geometry format returned by the API is controlled by options.geojson_type:

geojson (default) — results are returned as standard GeoJSON FeatureCollections with geometries and properties.

key_value — results are returned as a simplified key/value representation where each destination type contains latitude and longitude coordinates.

Each query result includes a status, the best match, optional additional matches, and metadata such as distance from the search location when applicable.

object
queries
required
Array<object>
>= 1 items <= 200 items

A single search query. It can be used to either lookup a door and parking spot by:

  • Address
  • Location
  • Naurt ID
  • Source Address ID (E.g, OS UPRN)
object
address_string
string
address_structured
object
unit
string
house_name
string
street_number
string
street_name
string
locality
string
city
string
county
string
state
string
country
string
postalcode
string
location
object
latitude
required
number
>= -90 <= 90
longitude
required
number
>= -180 < 180
distance_filter
number
default: 5000 > 0 <= 25000
id
string format: uuid
country
string
Allowed values: AE AU AT BE BR CA CH CZ DE EG ES FI FR GB GG HK IE IM IT JE JP KR LU NL NO NZ PL PT SA SE SI SG TW US UK ZA
source_id
object
os_uprn
string
os_udprn
string
additional_matches
boolean
language
string
default: Auto
Allowed values: Auto EN AR JA FR DE IT PT KO ZH NL NO FI PL SL CZ
options
object
pretty_print
boolean
verbose
boolean
structured_response
boolean
geojson_type
string
default: geojson
Allowed values: geojson key_value
return_original
boolean
input_filter
string
default: loose
Allowed values: none loose strict
Examples
{
"queries": [
{
"address_string": "32 Thames St, Windsor SL4 1PS",
"country": "GB"
}
]
}

Successful lookup

One of:
object
responses
required
Array<object>
object
best_match
required
One of:
Feature Collection Style
object
id
required
string format: uuid
address
required
string
geojson
required
object
features
required
Array<object>
>= 1 items <= 4 items
object
geometry
required
One of:
object
coordinates
required
Array<number>
>= 2 items <= 2 items
type
required
string
Allowed values: Point
properties
required
object
naurt_type
required
string
Allowed values: basic_geocode naurt_door naurt_building naurt_parking
accuracy
object
quality
required
string
Allowed values: low medium high
minimum_parking_to_door_distance
number format: double
type
required
string
Allowed values: Feature
type
required
string
default: FeatureCollection
Allowed values: FeatureCollection
distance
number
search_confidence
number format: double
<= 1
structured_response
object
unit
string
house_name
string
street_number
string
street_name
string
locality
string
city
string
county
string
state
string
country
string
postalcode
string
source_id
object
os_uprn
One of:
string
additional_matches
required
Array<object>
Feature Collection Style
object
id
required
string format: uuid
address
required
string
geojson
required
object
features
required
Array<object>
>= 1 items <= 4 items
object
geometry
required
One of:
object
coordinates
required
Array<number>
>= 2 items <= 2 items
type
required
string
Allowed values: Point
properties
required
object
naurt_type
required
string
Allowed values: basic_geocode naurt_door naurt_building naurt_parking
accuracy
object
quality
required
string
Allowed values: low medium high
minimum_parking_to_door_distance
number format: double
type
required
string
Allowed values: Feature
type
required
string
default: FeatureCollection
Allowed values: FeatureCollection
distance
number
search_confidence
number format: double
<= 1
structured_response
object
unit
string
house_name
string
street_number
string
street_name
string
locality
string
city
string
county
string
state
string
country
string
postalcode
string
source_id
object
os_uprn
One of:
string
status
required
string
Allowed values: ok no_matches
original_request
One of:

A single search query. It can be used to either lookup a door and parking spot by:

  • Address
  • Location
  • Naurt ID
  • Source Address ID (E.g, OS UPRN)
object
address_string
string
address_structured
object
unit
string
house_name
string
street_number
string
street_name
string
locality
string
city
string
county
string
state
string
country
string
postalcode
string
location
object
latitude
required
number
>= -90 <= 90
longitude
required
number
>= -180 < 180
distance_filter
number
default: 5000 > 0 <= 25000
id
string format: uuid
country
string
Allowed values: AE AU AT BE BR CA CH CZ DE EG ES FI FR GB GG HK IE IM IT JE JP KR LU NL NO NZ PL PT SA SE SI SG TW US UK ZA
source_id
object
os_uprn
string
os_udprn
string
additional_matches
boolean
language
string
default: Auto
Allowed values: Auto EN AR JA FR DE IT PT KO ZH NL NO FI PL SL CZ
logging
object
info
Array<string>
warnings
Array<string>
errors
Array<string>
version
required
string
request_id
required
string format: uuid
Examples
{
"request_id": "96becf25-e233-4f9c-a05c-4bed90190bdd",
"version": "v2",
"responses": [
{
"status": "ok",
"best_match": {
"id": "c56dbebb-c7ab-ede2-a7ac-f84e57d1878d",
"address": "11600 NW 14th St, Hollywood, FL 33026-2568, United States",
"geojson": {
"type": "FeatureCollection",
"features": [
{
"type": "Feature",
"geometry": {
"type": "Point",
"coordinates": [
-80.305321,
26.019775
]
},
"properties": {
"naurt_type": "basic_geocode"
}
}
]
}
},
"additional_matches": []
}
]
}

Bad request or validation errors

object
code
required
string
reason
required
string
remediation
required
string

Internal server errors

object
code
required
string
reason
required
string
remediation
required
string